Get Asset Changelogs for a given asset_id
curl --request GET \
--url https://api.projectdiscovery.io/v1/asset/{asset_id}/changelogs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.projectdiscovery.io/v1/asset/{asset_id}/changelogs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.projectdiscovery.io/v1/asset/{asset_id}/changelogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"current_page": 123,
"result_count": 123,
"total_results": 123,
"total_pages": 123,
"data": [
{
"id": 123,
"enumeration_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status_code": 123,
"technologies": [
"<string>"
],
"webserver": "<string>",
"request": "<string>",
"response": "<string>",
"cname": [
"<string>"
],
"labels": [
"<string>"
],
"ip": "<string>",
"content_length": 123,
"title": "<string>",
"host": "<string>",
"port": 123,
"technology_details": "<string>",
"is_new": true,
"body": "<string>",
"change_event": [
{
"name": "<string>",
"from": "<unknown>",
"to": "<unknown>"
}
]
}
]
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}Asset Discovery
Get Asset Changelogs for a given asset_id
Get asset changelogs
GET
/
v1
/
asset
/
{asset_id}
/
changelogs
Get Asset Changelogs for a given asset_id
Authorizations
Headers
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
Path Parameters
Query Parameters
time filter to select
Available options:
last_day, last_week, last_month, last_3_months, last_6_months, last_12_months, all_time comma separated event_type e.g. event_type=vul_status,vul_status_change
comma separated ascending sorting e.g sort_asc=created_at,severity
comma separated descending sorting e.g sort_desc=created_at,severity
number of results to get
number of results to skip
Was this page helpful?
⌘I